﻿/**Begin D:\PDM_UPGRADE\PDM1\FBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SUBSCRIBETPL')
 CREATE TABLE T_FBD_SUBSCRIBETPL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDATASOURCEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTPLSCENID BIGINT DEFAULT 0 NOT NULL,
FMAXSUBSCRIBE INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_TAG NCLOB,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEFFECTDAY INT DEFAULT 0 NOT NULL,
FFIXFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIXFILTER_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SUBSCRIBETPL_L')
 CREATE TABLE T_FBD_SUBSCRIBETPL_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SUBSCRIBETPL_ORGS')
 CREATE TABLE T_FBD_SUBSCRIBETPL_ORGS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SUBSCRIBE')
 CREATE TABLE T_FBD_SUBSCRIBE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDATASOURCEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTPLSCENID BIGINT DEFAULT 0 NOT NULL,
FMAXSUBSCRIBE INT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_TAG NCLOB,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEFFECTDAY INT DEFAULT 0 NOT NULL,
FSUBSCRIBETPLID BIGINT DEFAULT 0 NOT NULL,
FSUBSCRIBEDATE DATETIME,
FSUBSCRIBENUM INT DEFAULT 0 NOT NULL,
FFIXFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIXFILTER_TAG NCLOB,
FSUBFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBFILTER_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SUBSCRIBE_L')
 CREATE TABLE T_FBD_SUBSCRIBE_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SUBSCRIBE_LOG')
 CREATE TABLE T_FBD_SUBSCRIBE_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSUBSCRIBERID BIGINT DEFAULT 0 NOT NULL,
FDATASOURCEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECUSERID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBIZTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SUBSCRIBE_RECUSERS')
 CREATE TABLE T_FBD_SUBSCRIBE_RECUSERS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_BILLPOOL')
 CREATE TABLE T_FBD_BILLPOOL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FDATASOUCEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FISSUBSCRIBE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SUBSCRIBE_ORGS')
 CREATE TABLE T_FBD_SUBSCRIBE_ORGS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SUBSCRIBETPL_DORGS')
 CREATE TABLE T_FBD_SUBSCRIBETPL_DORGS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\FBD_table.sql **/
