﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_FOREIGNMARKERATE') 
 CREATE TABLE T_FBD_FOREIGNMARKERATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FRATESOURCES BIGINT DEFAULT 0 NOT NULL,
FORIGINALCURRENCY BIGINT DEFAULT 0 NOT NULL,
FTARGETCURRENCY BIGINT DEFAULT 0 NOT NULL,
FTARGETCURRENCYAMOUNT BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBUYINGPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSELLINGPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONVERTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMIDDLEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRELEASEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_FOREIGNMARKERATE_L') 
 CREATE TABLE T_FBD_FOREIGNMARKERATE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_FOREIGNMARKERATE_R3') 
 CREATE TABLE T_FBD_FOREIGNMARKERATE_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_LENDINGMARKETRATE') 
 CREATE TABLE T_FBD_LENDINGMARKETRATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLENDINGMARKET BIGINT DEFAULT 0 NOT NULL,
FPUBLISHDATE DATETIME,
FTERMCATEGORY BIGINT DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_LENDINGMARKETRATE_L') 
 CREATE TABLE T_FBD_LENDINGMARKETRATE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCLEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_LENDINGMARKETRATE_R3') 
 CREATE TABLE T_FBD_LENDINGMARKETRATE_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '1' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FBD_table.sql **/
