﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_DATAMAPPER') 
 CREATE TABLE T_FBD_DATAMAPPER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_DATAMAPPER_L') 
 CREATE TABLE T_FBD_DATAMAPPER_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_DATAMAPPERENTRY') 
 CREATE TABLE T_FBD_DATAMAPPERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FORIGINALVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_EBANKEXPORT_L') 
 CREATE TABLE T_FBD_EBANKEXPORT_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_EBANKEXPORTENTRY_L') 
 CREATE TABLE T_FBD_EBANKEXPORTENTRY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FMESSAGEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_EBANKEXPORT') 
 CREATE TABLE T_FBD_EBANKEXPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBIZOBJECT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONDITIONDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FEXPORTFORMATTER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATAFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATAFILTER_TAG NCLOB,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_EBANKEXPORTENTRY') 
 CREATE TABLE T_FBD_EBANKEXPORTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMESSAGEFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDINSTRUCTIONS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLENGTH SMALLINT DEFAULT 0 NOT NULL,
FWILLRECORD CHAR(1) DEFAULT '0' NOT NULL,
FGETVALUETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGETVALUEDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FGETVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGETVALUE_TAG NCLOB,
FMESSAGEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);

 EXEC p_AlterColumn 'T_FBD_EBANKEXPORT', 'FCONDITIONDESC', 'NVARCHAR(1000)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_FBD_EBANKEXPORTENTRY', 'FGETVALUEDESC', 'NVARCHAR(1000)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_FBD_EBANKEXPORTENTRY', 'FGETVALUE', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_FBD_EBANKEXPORTENTRY', 'FMESSAGEDESC', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_FBD_EBANKEXPORTENTRY_L', 'FMESSAGEDESC', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FBD_table.sql **/
