﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\kd_1.5.107_tbp_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_TBD_BWSYMBOL', 'T_TBD_BWSYMBOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_BWSYMBOL') CREATE INDEX IDX_TBD_BWSYMBOL ON T_TBD_BWSYMBOL ( FNUMBER ,FBEGIN ,FEND );


 EXEC P_ALTERPK 'PK_T_TBD_BWSYMBOL_L', 'T_TBD_BWSYMBOL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_BWSYMBOL_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_BWSYMBOL_L_ID ON T_TBD_BWSYMBOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_REFERINDEX', 'T_TBD_REFERINDEX', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_REFERINDEX') CREATE INDEX IDX_TBD_REFERINDEX ON T_TBD_REFERINDEX ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_REFERINDEX_L', 'T_TBD_REFERINDEX_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_REFERINDXE_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_REFERINDXE_L_ID ON T_TBD_REFERINDEX_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_REFERRATE', 'T_TBD_REFERRATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_REFERRATE') CREATE INDEX IDX_TBD_REFERRATE ON T_TBD_REFERRATE ( FNUMBER ,FCURRENCYID ,FISSUETIME ,FTERM );


 EXEC P_ALTERPK 'PK_T_TBD_REFERRATE_L', 'T_TBD_REFERRATE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_INDXE_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_INDXE_L_ID ON T_TBD_REFERRATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_REFERRATE_WC', 'T_TBD_REFERRATE_WC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_REFERINDEX_WC_BID') CREATE INDEX IDX_TBD_REFERINDEX_WC_BID ON T_TBD_REFERRATE_WC ( FBASEDATAID ,FID );


 EXEC P_ALTERPK 'PK_T_TBD_TRADESET', 'T_TBD_TRADESET', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_TRADESET_N') CREATE  CLUSTERED INDEX IDX_TBD_TRADESET_N ON T_TBD_TRADESET ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_TRADESET_L', 'T_TBD_TRADESET_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_TRADESET_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_TRADESET_L_ID ON T_TBD_TRADESET_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_DEFAULT', 'T_TBD_DEFAULT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_DEFAULT_N') CREATE  CLUSTERED INDEX IDX_TBD_DEFAULT_N ON T_TBD_DEFAULT ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_DEFAULT_ENTRYS', 'T_TBD_DEFAULT_ENTRYS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_DEFAULT_ENTRYS') CREATE INDEX IDX_TBD_DEFAULT_ENTRYS ON T_TBD_DEFAULT_ENTRYS ( FID );


 EXEC P_ALTERPK 'PK_T_TBD_DEFAULT_L', 'T_TBD_DEFAULT_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_DEFAULT_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_DEFAULT_L_ID ON T_TBD_DEFAULT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_DEFAULT_SUB_WC', 'T_TBD_DEFAULT_SUB_WC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_DEFAULT_SUB_WC') CREATE INDEX IDX_TBD_DEFAULT_SUB_WC ON T_TBD_DEFAULT_SUB_WC ( FDETAILID );


 EXEC P_ALTERPK 'PK_T_TBD_DEFAULT_SUBENTRYS', 'T_TBD_DEFAULT_SUBENTRYS', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_DEFAULT_SUBENTRYS') CREATE INDEX IDX_TBD_DEFAULT_SUBENTRYS ON T_TBD_DEFAULT_SUBENTRYS ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_TBD_PRICERULE', 'T_TBD_PRICERULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_PRICERULE_ID') CREATE INDEX IDX_TBD_PRICERULE_ID ON T_TBD_PRICERULE ( FMASTERID );


 EXEC P_ALTERPK 'PK_T_TBD_PRICERULE_L', 'T_TBD_PRICERULE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_PRICERULE_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_PRICERULE_L_ID ON T_TBD_PRICERULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_PRICERULE_MK', 'T_TBD_PRICERULE_MK', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_PRICERULE_MK_FK') CREATE  CLUSTERED INDEX IDX_TBD_PRICERULE_MK_FK ON T_TBD_PRICERULE_MK ( FID );


 EXEC P_ALTERPK 'PK_T_TBD_PRICERULE_YIELD', 'T_TBD_PRICERULE_YIELD', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_PRICERULE_YIELD_FK') CREATE  CLUSTERED INDEX IDX_TBD_PRICERULE_YIELD_FK ON T_TBD_PRICERULE_YIELD ( FYIELDSID ,FMARKETID );


 EXEC P_ALTERPK 'PK_T_TBD_ISSUER', 'T_TBD_ISSUER', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_ISSUER_N') CREATE  CLUSTERED INDEX IDX_TBD_ISSUER_N ON T_TBD_ISSUER ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_ISSUER_L', 'T_TBD_ISSUER_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_ISSUER_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_ISSUER_L_ID ON T_TBD_ISSUER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_RISKFACTORS', 'T_TBD_RISKFACTORS', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_RISKFACTORS_N') CREATE  CLUSTERED INDEX IDX_TBD_RISKFACTORS_N ON T_TBD_RISKFACTORS ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_RISKFACTORS_L', 'T_TBD_RISKFACTORS_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_RISKFACTORS_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_RISKFACTORS_L_ID ON T_TBD_RISKFACTORS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_WORKCALENDAR', 'T_TBD_WORKCALENDAR', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_WORK_BB') CREATE  CLUSTERED INDEX IDX_TBD_WORK_BB ON T_TBD_WORKCALENDAR ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_WORKCALENDAR_ENTRYS', 'T_TBD_WORKCALENDAR_ENTRYS', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_WORKCALENDAR_ENTRYS_ID') CREATE  CLUSTERED INDEX IDX_TBD_WORKCALENDAR_ENTRYS_ID ON T_TBD_WORKCALENDAR_ENTRYS ( FID ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_TBD_WORKCALENDAR_L', 'T_TBD_WORKCALENDAR_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_WORKCALENDAR_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_WORKCALENDAR_L_ID ON T_TBD_WORKCALENDAR_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_CURRENCY_WC', 'T_TBD_CURRENCY_WC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_CURRENCY_WC') CREATE INDEX IDX_TBD_CURRENCY_WC ON T_TBD_CURRENCY_WC ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_TBD_CURRENCYPAIR', 'T_TBD_CURRENCYPAIR', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_CURRENCYPAIR_BB') CREATE  CLUSTERED INDEX IDX_TBD_CURRENCYPAIR_BB ON T_TBD_CURRENCYPAIR ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_CURRENCYPAIR_L', 'T_TBD_CURRENCYPAIR_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_CURRENCYPAIR_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_CURRENCYPAIR_L_ID ON T_TBD_CURRENCYPAIR_L ( FID );


 EXEC P_ALTERPK 'PK_T_TBD_COUNTERPARTY', 'T_TBD_COUNTERPARTY', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_COUNTERPARTY_N') CREATE  CLUSTERED INDEX IDX_TBD_COUNTERPARTY_N ON T_TBD_COUNTERPARTY ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_COUNTERPARTY_L', 'T_TBD_COUNTERPARTY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_COUNTERPARTY_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_COUNTERPARTY_L_ID ON T_TBD_COUNTERPARTY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_TRADETYPE', 'T_TBD_TRADETYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_TRADETYPE_N') CREATE  CLUSTERED INDEX IDX_TBD_TRADETYPE_N ON T_TBD_TRADETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_TRADETYPE_L', 'T_TBD_TRADETYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_TRADETYPE_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_TRADETYPE_L_ID ON T_TBD_TRADETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_BOURSE', 'T_TBD_BOURSE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_BOURSE_N') CREATE  CLUSTERED INDEX IDX_TBD_BOURSE_N ON T_TBD_BOURSE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_BOURSE_L', 'T_TBD_BOURSE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_BOURSE_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_BOURSE_L_ID ON T_TBD_BOURSE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_RATINGSCALE', 'T_TBD_RATINGSCALE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_RATINGSCALE_N') CREATE  CLUSTERED INDEX IDX_TBD_RATINGSCALE_N ON T_TBD_RATINGSCALE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_RATINGSCALE_ENTRYS', 'T_TBD_RATINGSCALE_ENTRYS', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_RATINGSCALE_ENTRYS_ID') CREATE  CLUSTERED INDEX IDX_TBD_RATINGSCALE_ENTRYS_ID ON T_TBD_RATINGSCALE_ENTRYS ( FID ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_TBD_RATINGSCALE_L', 'T_TBD_RATINGSCALE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_RATINGSCALE_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_RATINGSCALE_L_ID ON T_TBD_RATINGSCALE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_GRADE', 'T_TBD_GRADE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_GRADE_N') CREATE  CLUSTERED INDEX IDX_TBD_GRADE_N ON T_TBD_GRADE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_GRADE_L', 'T_TBD_GRADE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_GRADE_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_GRADE_L_ID ON T_TBD_GRADE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_RATINGAGENCY', 'T_TBD_RATINGAGENCY', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_RATINGAGENCY_N') CREATE  CLUSTERED INDEX IDX_TBD_RATINGAGENCY_N ON T_TBD_RATINGAGENCY ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_RATINGAGENCY_L', 'T_TBD_RATINGAGENCY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_RATINGAGENCY_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_RATINGAGENCY_L_ID ON T_TBD_RATINGAGENCY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_DATEAXIS', 'T_TBD_DATEAXIS', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_DATEAXIS_N') CREATE  CLUSTERED INDEX IDX_TBD_DATEAXIS_N ON T_TBD_DATEAXIS ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_DATEAXIS_ENTRYS', 'T_TBD_DATEAXIS_ENTRYS', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_DATEAXIS_ENTRYS_ID') CREATE  CLUSTERED INDEX IDX_TBD_DATEAXIS_ENTRYS_ID ON T_TBD_DATEAXIS_ENTRYS ( FID ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_TBD_DATEAXIS_L', 'T_TBD_DATEAXIS_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_DATEAXIS_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_DATEAXIS_L_ID ON T_TBD_DATEAXIS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TBD_MARKETINFO', 'T_TBD_MARKETINFO', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_MARKETINFO_N') CREATE  CLUSTERED INDEX IDX_TBD_MARKETINFO_N ON T_TBD_MARKETINFO ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TBD_MARKETINFO_L', 'T_TBD_MARKETINFO_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_MARKETINFO_L_ID') CREATE  CLUSTERED INDEX IDX_TBD_MARKETINFO_L_ID ON T_TBD_MARKETINFO_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\kd_1.5.107_tbp_constraint.sql **/
