﻿/**Begin D:\PDM_UPGRADE\PDM1\FBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_FBD_SUBSCRIBETPL', 'T_FBD_SUBSCRIBETPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUBSCRIBETPL_STATUS') CREATE INDEX IDX_T_FBD_SUBSCRIBETPL_STATUS ON T_FBD_SUBSCRIBETPL ( FSTATUS ,FENABLE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUBSCRIBETPL_NUMBER') CREATE INDEX IDX_T_FBD_SUBSCRIBETPL_NUMBER ON T_FBD_SUBSCRIBETPL ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_FBD_SUBSCRIBETPL_L', 'T_FBD_SUBSCRIBETPL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUBSCRIBETPL_L_FID') CREATE INDEX IDX_T_FBD_SUBSCRIBETPL_L_FID ON T_FBD_SUBSCRIBETPL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_FBD_SUBSCRIBETPL_ORGS', 'T_FBD_SUBSCRIBETPL_ORGS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUB_ORGS_FID') CREATE INDEX IDX_T_FBD_SUB_ORGS_FID ON T_FBD_SUBSCRIBETPL_ORGS ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUB_ORGS_ORG') CREATE INDEX IDX_T_FBD_SUB_ORGS_ORG ON T_FBD_SUBSCRIBETPL_ORGS ( FORGID );


 EXEC P_ALTERPK 'PK_T_FBD_SUBSCRIBE', 'T_FBD_SUBSCRIBE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUBSCRIBE_NUMBER') CREATE INDEX IDX_T_FBD_SUBSCRIBE_NUMBER ON T_FBD_SUBSCRIBE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUBSCRIBE_BIZ') CREATE INDEX IDX_T_FBD_SUBSCRIBE_BIZ ON T_FBD_SUBSCRIBE ( FDATASOURCEID ,FVALIDDATE );


 EXEC P_ALTERPK 'PK_T_FBD_SUBSCRIBE_L', 'T_FBD_SUBSCRIBE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUBSCRIBE_L_FID') CREATE INDEX IDX_T_FBD_SUBSCRIBE_L_FID ON T_FBD_SUBSCRIBE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_FBD_SUBSCRIBE_LOG', 'T_FBD_SUBSCRIBE_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUBSCRIBE_LOG_NUM') CREATE INDEX IDX_T_FBD_SUBSCRIBE_LOG_NUM ON T_FBD_SUBSCRIBE_LOG ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUBSCRIBE_LOG_BIZ') CREATE INDEX IDX_T_FBD_SUBSCRIBE_LOG_BIZ ON T_FBD_SUBSCRIBE_LOG ( FDATASOURCEID ,FBILLID );


 EXEC P_ALTERPK 'PK_T_FBD_SUBSCRIBE_RECUSERS', 'T_FBD_SUBSCRIBE_RECUSERS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUB_REC_FID') CREATE INDEX IDX_T_FBD_SUB_REC_FID ON T_FBD_SUBSCRIBE_RECUSERS ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUB_REC_DATAID') CREATE INDEX IDX_T_FBD_SUB_REC_DATAID ON T_FBD_SUBSCRIBE_RECUSERS ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_FBD_BILLPOOL', 'T_FBD_BILLPOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_BILLPOOL_BILLNO') CREATE INDEX IDX_T_FBD_BILLPOOL_BILLNO ON T_FBD_BILLPOOL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_BILLPOOL_DATASOURCE') CREATE INDEX IDX_T_FBD_BILLPOOL_DATASOURCE ON T_FBD_BILLPOOL ( FDATASOUCEID ,FBILLID );


 EXEC P_ALTERPK 'PK_T_FBD_SUBSCRIBE_ORGS', 'T_FBD_SUBSCRIBE_ORGS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUB_ID') CREATE INDEX IDX_T_FBD_SUB_ID ON T_FBD_SUBSCRIBE_ORGS ( FID );


 EXEC P_ALTERPK 'PK_T_FBD_SUBSCRIBETPL_DORGS', 'T_FBD_SUBSCRIBETPL_DORGS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_SUBTPL_ORGFID') CREATE INDEX IDX_T_FBD_SUBTPL_ORGFID ON T_FBD_SUBSCRIBETPL_DORGS ( FID );

/**End D:\PDM_UPGRADE\PDM1\FBD_constraint.sql **/
