﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\FBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_FBD_SURETYBILL', 'T_FBD_SURETYBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETYBILL_BN') CREATE INDEX IDX_FBD_SURETYBILL_BN ON T_FBD_SURETYBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_FBD_SURETYBILL_E', 'T_FBD_SURETYBILL_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETYBILL_E_FK') CREATE INDEX IDX_FBD_SURETYBILL_E_FK ON T_FBD_SURETYBILL_E ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETYBILL_E_BN') CREATE INDEX IDX_FBD_SURETYBILL_E_BN ON T_FBD_SURETYBILL_E ( FBIZNO );


 EXEC P_ALTERPK 'PK_FBD_SURETYBILL_L', 'T_FBD_SURETYBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETYBILL_L_0') CREATE INDEX IDX_FBD_SURETYBILL_L_0 ON T_FBD_SURETYBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_FBD_SURETYRELEASEBILL', 'T_FBD_SURETYRELEASEBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETYRELEASE_BN') CREATE INDEX IDX_FBD_SURETYRELEASE_BN ON T_FBD_SURETYRELEASEBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_FBD_SURETYRELEASEBILL_L', 'T_FBD_SURETYRELEASEBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETYRELEASE_L_0') CREATE INDEX IDX_FBD_SURETYRELEASE_L_0 ON T_FBD_SURETYRELEASEBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_FBD_SURETYRELEASEBILL_LK', 'T_FBD_SURETYRELEASEBILL_LK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETYRELEASE_LK_FK') CREATE INDEX IDX_FBD_SURETYRELEASE_LK_FK ON T_FBD_SURETYRELEASEBILL_LK ( FID );


 EXEC P_ALTERPK 'PK_FBD_SURETYRELEASEBILL_TC', 'T_FBD_SURETYRELEASEBILL_TC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETYRELEASE_TC_TBILL') CREATE INDEX IDX_FBD_SURETYRELEASE_TC_TBILL ON T_FBD_SURETYRELEASEBILL_TC ( FTBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETYRELEASE_TC_TID') CREATE INDEX IDX_FBD_SURETYRELEASE_TC_TID ON T_FBD_SURETYRELEASEBILL_TC ( FTID );


 EXEC P_ALTERPK 'PK_FBD_SURETYRELEASEBILL_WB', 'T_FBD_SURETYRELEASEBILL_WB', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETYRELEASE_WB_FK') CREATE INDEX IDX_FBD_SURETYRELEASE_WB_FK ON T_FBD_SURETYRELEASEBILL_WB ( FID );



/**End D:\PDM\PDM_UPGRADE\pdm1\FBD_constraint.sql **/
