﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\FBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETYBILL') 
 CREATE TABLE T_FBD_SURETYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTERM VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPIREDATE DATETIME,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASIS VARCHAR(50) DEFAULT ' ' NOT NULL,
FINTDATE DATETIME,
FREFERENCERATEID BIGINT DEFAULT 0 NOT NULL,
FRATESIGN VARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEFLOATPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FINTERESTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSURPLUSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEMANDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FSETTLEACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FPREFUTUREAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREVENUEWAY VARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUEPLANID BIGINT DEFAULT 0 NOT NULL,
FFINACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FRATEADJUSTSTYLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYID BIGINT DEFAULT 0 NOT NULL,
FENDPREINSTDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FLASTRELEASEDATE DATETIME,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FRELEASEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETYBILL_E') 
 CREATE TABLE T_FBD_SURETYBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDEBTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEBTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEBTCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FDEBTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSURETYSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELEASECREDITAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITID BIGINT DEFAULT 0 NOT NULL,
FCOUNTERPARTYID BIGINT DEFAULT 0 NOT NULL,
FDEBTBILLID BIGINT DEFAULT 0 NOT NULL,
FBIZNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREPAYDEBTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAYDEBT CHAR(1) DEFAULT ' ' NOT NULL,
FPAYBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSURETYSOURCE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETYBILL_L') 
 CREATE TABLE T_FBD_SURETYBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETYRELEASEBILL') 
 CREATE TABLE T_FBD_SURETYRELEASEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINVESTVARIETIESID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FSURPLUSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREDICTINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRELEASETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALREVENUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISREVENUE CHAR(1) DEFAULT ' ' NOT NULL,
FDEMANDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPLYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FRECBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFINACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FINTERESTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSURETYBILLID BIGINT DEFAULT 0 NOT NULL,
FLASTRELEASEDATE DATETIME,
FRELEASEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETYRELEASEBILL_L') 
 CREATE TABLE T_FBD_SURETYRELEASEBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETYRELEASEBILL_LK') 
 CREATE TABLE T_FBD_SURETYRELEASEBILL_LK (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETYRELEASEBILL_TC') 
 CREATE TABLE T_FBD_SURETYRELEASEBILL_TC (
FID BIGINT DEFAULT 0 NOT NULL,
FTBILLID BIGINT DEFAULT 0 NOT NULL,
FTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETYRELEASEBILL_WB') 
 CREATE TABLE T_FBD_SURETYRELEASEBILL_WB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULEVERID BIGINT DEFAULT 0 NOT NULL,
FRULEITEMID BIGINT DEFAULT 0 NOT NULL,
FOPERATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FWRITEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL
);

/**End D:\PDM\PDM_UPGRADE\pdm1\FBD_table.sql **/

