﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\FBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_FBD_INTBILL_BATCH_ENTRY', 'T_FBD_INTBILL_BATCH_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FBD_INTBILLBATCH_ENTRY') CREATE INDEX IDX_T_FBD_INTBILLBATCH_ENTRY ON T_FBD_INTBILL_BATCH_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_FBD_INTBILL_BATCH_L', 'T_FBD_INTBILL_BATCH_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_INTBILL_BATCH_L') CREATE INDEX IDX_FBD_INTBILL_BATCH_L ON T_FBD_INTBILL_BATCH_L ( FID );


 EXEC P_ALTERPK 'PK_FBD_INTBILL_BATCH', 'T_FBD_INTBILL_BATCH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_INTBILLBATCH_BND') CREATE INDEX IDX_FBD_INTBILLBATCH_BND ON T_FBD_INTBILL_BATCH ( FBILLNO );


 EXEC P_ALTERPK 'PK_FBD_PREINSTBILL_ENTRY', 'T_FBD_PREINSTBILL_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_PREINSTBILL_ENTRY') CREATE INDEX IDX_FBD_PREINSTBILL_ENTRY ON T_FBD_PREINSTBILL_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_FBD_SURETY_PREINT', 'T_FBD_SURETY_PREINT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETY_PREINT') CREATE INDEX IDX_FBD_SURETY_PREINT ON T_FBD_SURETY_PREINT ( FBILLNO );


 EXEC P_ALTERPK 'PK_FBD_SURETY_SETTLEINT_L', 'T_FBD_SURETY_SETTLEINT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETY_SETTLEINT_L') CREATE INDEX IDX_FBD_SURETY_SETTLEINT_L ON T_FBD_SURETY_SETTLEINT_L ( FID );


 EXEC P_ALTERPK 'PK_FBD_SURETY_SETTLEINT', 'T_FBD_SURETY_SETTLEINT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETY_SETTLEINT') CREATE INDEX IDX_FBD_SURETY_SETTLEINT ON T_FBD_SURETY_SETTLEINT ( FBILLNO );

 EXEC P_ALTERPK 'PK_FBD_SURETY_RE_ENTRY', 'T_FBD_SURETY_RE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETY_RE_ENTRY') CREATE INDEX IDX_FBD_SURETY_RE_ENTRY ON T_FBD_SURETY_RE_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_FBD_SURETY_SUB_RE_ENTRY', 'T_FBD_SURETY_SUB_RE_ENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FBD_SURETY_SUB_RE_ENTRY') CREATE INDEX IDX_FBD_SURETY_SUB_RE_ENTRY ON T_FBD_SURETY_SUB_RE_ENTRY ( FENTRYID );



/**End D:\PDM\PDM_UPGRADE\pdm1\FBD_constraint.sql **/
