﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\FBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_INTBILL_BATCH_ENTRY')
 CREATE TABLE T_FBD_INTBILL_BATCH_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINTDETAILNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FINTDAYS BIGINT DEFAULT 0 NOT NULL,
FRATE DECIMAL(17,6) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINTERESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINTDETAIL_TAG NCLOB,
FINTBILLID BIGINT DEFAULT 0 NOT NULL,
FACTUALINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FLOANBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FLOANBILLID BIGINT DEFAULT 0 NOT NULL,
FISREVERSE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_INTBILL_BATCH_L')
 CREATE TABLE T_FBD_INTBILL_BATCH_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_INTBILL_BATCH')
 CREATE TABLE T_FBD_INTBILL_BATCH (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_PREINSTBILL_ENTRY')
 CREATE TABLE T_FBD_PREINSTBILL_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINSTSTARTDATE DATETIME,
FINSTENDDATE DATETIME,
FINSTDAYS BIGINT DEFAULT 0 NOT NULL,
FINSTPRINCIPALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATETRANDAYS BIGINT DEFAULT 0 NOT NULL,
FINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINSTCTG NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETY_PREINT')
 CREATE TABLE T_FBD_SURETY_PREINT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FLOANBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREDICTPREINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FLOANORGID BIGINT DEFAULT 0 NOT NULL,
FDRAWAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FINSTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRESTARTDATE DATETIME,
FPRESTENDDATE DATETIME,
FACTPREINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECORDSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCLIENTORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOANTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWRITEOFFPREINTBILLID BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOWRITEOFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWRITEOFFSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTDATE DATETIME,
FSURPLUSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETY_SETTLEINT_L')
 CREATE TABLE T_FBD_SURETY_SETTLEINT_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETY_SETTLEINT')
 CREATE TABLE T_FBD_SURETY_SETTLEINT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FLOANBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREDICTPREINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FLOANORGID BIGINT DEFAULT 0 NOT NULL,
FDRAWAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FINSTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRESTARTDATE DATETIME,
FPRESTENDDATE DATETIME,
FACTPREINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECORDSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCLIENTORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOANTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWRITEOFFPREINTBILLID BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOWRITEOFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWRITEOFFSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSURPLUSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTDATE DATETIME,
FLOANERACCTBANKID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPUSHREC CHAR(1) DEFAULT '0' NOT NULL,
FRECBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FBD_SURETYBILL' AND KSQL_COL_NAME IN ('FENDINSTDATE'))
 ALTER TABLE T_FBD_SURETYBILL ADD (FENDINSTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FBD_SURETYBILL_E' AND KSQL_COL_NAME IN ('FPAYBILLID'))
 ALTER TABLE T_FBD_SURETYBILL_E ADD (FPAYBILLID BIGINT DEFAULT 0 NOT NULL );
 --- drop column --------- 请认真检查该脚本 -------------------
 EXEC p_AlterColumn 'T_FBD_SURETYBILL_E', 'FPAYBILLNO', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FBD_INTBILL_BATCH' AND KSQL_COL_NAME IN ('FREVENUETYPE'))
 ALTER TABLE T_FBD_INTBILL_BATCH ADD (FREVENUETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETY_RE_ENTRY')
 CREATE TABLE T_FBD_SURETY_RE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FREVENUESEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVENUEDATE DATETIME,
FREVENUECALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_SURETY_SUB_RE_ENTRY')
 CREATE TABLE T_FBD_SURETY_SUB_RE_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDAYS BIGINT DEFAULT 0 NOT NULL,
FFINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEPLANREVENUE DECIMAL(17,4) DEFAULT 0 NOT NULL,
FCONVERTDAYS BIGINT DEFAULT 0 NOT NULL,
FEREVENUEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


/**End D:\PDM\PDM_UPGRADE\pdm1\FBD_table.sql **/
