﻿/**Begin D:\PDM_UPGRADE\PDM1\FBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_PANDAMENU') 
 CREATE TABLE T_FBD_PANDAMENU (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FMENUPROP CHAR(1) DEFAULT ' ' NOT NULL,
FBIZTYPE VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_PANDAMENU_L') 
 CREATE TABLE T_FBD_PANDAMENU_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(250) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_PANDAMENUENTITY') 
 CREATE TABLE T_FBD_PANDAMENUENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMENUNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FMENUNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMENUCUSNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_PANDASCHMENTITY') 
 CREATE TABLE T_FBD_PANDASCHMENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSCHEMENAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZBILL VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLCHECKNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLCHECK VARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLMATCHFIELD VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLMATCHIDFIELD VARCHAR(80) DEFAULT ' ' NOT NULL,
FMATCHWAY CHAR(1) DEFAULT ' ' NOT NULL,
FMENUMATCHFIELD VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLCONDITIONVAL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLCONDITIONVAL_TAG NCLOB DEFAULT ' ',
FSCHEME CHAR(1) DEFAULT ' ' NOT NULL,
FMATCHTIP VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNOTIFYFIELD VARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\FBD_table.sql **/
