﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_FBD_FOREIGNMARKERATE', 'T_FBD_FOREIGNMARKERATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FORMARATE_FRATESOURCES') CREATE INDEX IDX_FORMARATE_FRATESOURCES ON T_FBD_FOREIGNMARKERATE ( FRATESOURCES );


 EXEC P_ALTERPK 'PK_T_FBD_FOREIGNMARKERATE_L', 'T_FBD_FOREIGNMARKERATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FORMARATE_L_FNAME') CREATE INDEX IDX_FORMARATE_L_FNAME ON T_FBD_FOREIGNMARKERATE_L ( FNAME );


 EXEC P_ALTERPK 'PK_T_FBD_FOREIGNMARKERATE_R3', 'T_FBD_FOREIGNMARKERATE_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FORMARATE_R3_FREFSTATUS') CREATE INDEX IDX_FORMARATE_R3_FREFSTATUS ON T_FBD_FOREIGNMARKERATE_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_FBD_LENDINGMARKETRATE', 'T_FBD_LENDINGMARKETRATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INX_FBD_LENDINGMARKET_NUMBER') CREATE INDEX INX_FBD_LENDINGMARKET_NUMBER ON T_FBD_LENDINGMARKETRATE ( FLENDINGMARKET );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INX_FBD_TERMCATEGORY_NUMBER') CREATE INDEX INX_FBD_TERMCATEGORY_NUMBER ON T_FBD_LENDINGMARKETRATE ( FTERMCATEGORY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INX_FBD_LENDINGRATE_ENABLE') CREATE INDEX INX_FBD_LENDINGRATE_ENABLE ON T_FBD_LENDINGMARKETRATE ( FENABLE );


 EXEC P_ALTERPK 'PK_T_FBD_LENDINGMARKETRATE_L', 'T_FBD_LENDINGMARKETRATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INX_FBD_LENDINGMARKET_LOCLELD') CREATE INDEX INX_FBD_LENDINGMARKET_LOCLELD ON T_FBD_LENDINGMARKETRATE_L ( FLOCLEID );


 EXEC P_ALTERPK 'PK_T_FBD_LENDINGMARKETRATE_R3', 'T_FBD_LENDINGMARKETRATE_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INX_FBD_LENDINGMARKETR3_STATUS') CREATE INDEX INX_FBD_LENDINGMARKETR3_STATUS ON T_FBD_LENDINGMARKETRATE_R3 ( FREFSTATUS );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FBD_constraint.sql **/
