﻿/**Begin D:\PDM_UPGRADE\PDM1\FBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_FEETYPE') 
 CREATE TABLE T_FBD_FEETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_FEETYPE_L') 
 CREATE TABLE T_FBD_FEETYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_FEESCHEME_L') 
 CREATE TABLE T_FBD_FEESCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_FEESCHEME_ENTITY') 
 CREATE TABLE T_FBD_FEESCHEME_ENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOUNTERPARTYID BIGINT DEFAULT 0 NOT NULL,
FEXTAMOUNTRATE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_FEESCHEME') 
 CREATE TABLE T_FBD_FEESCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FFEEPAYER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFEECALTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTSIZE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTBASE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTIMECONVENTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSPROCESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSETAMOUNTRATE CHAR(1) DEFAULT '0' NOT NULL,
FAMOUNTRATE BIGINT DEFAULT 0 NOT NULL,
FHANDSETTLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFEETYPEID BIGINT DEFAULT 0 NOT NULL,
FTRADETYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_FEESCHEME_MK') 
 CREATE TABLE T_FBD_FEESCHEME_MK (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_FEESCHEME_C') 
 CREATE TABLE T_FBD_FEESCHEME_C (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_FEEBILL') 
 CREATE TABLE T_FBD_FEEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FFEESCHEMEID BIGINT DEFAULT 0 NOT NULL,
FFEETYPEID BIGINT DEFAULT 0 NOT NULL,
FCOUNTERPARTYID BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FOPPACCTBANKBASEID BIGINT DEFAULT 0 NOT NULL,
FOPPBEBANKID BIGINT DEFAULT 0 NOT NULL,
FYETSETTLE CHAR(1) DEFAULT '0' NOT NULL,
FTRADEBILLID BIGINT DEFAULT 0 NOT NULL,
FTRADETYPEID BIGINT DEFAULT 0 NOT NULL,
FOPPACCTBANK NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\FBD_table.sql **/
