/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_EBANKEXPENTRY_F')
 CREATE TABLE T_FBD_EBANKEXPENTRY_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFOOTERMESSAGEFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFOOTERFIELDTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFOOTERFIELDINSTRUCTIONS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFOOTERLENGTH SMALLINT DEFAULT 0 NOT NULL,
FFOOTERWILLRECORD CHAR(1) DEFAULT '0' NOT NULL,
FFOOTERGETVALUETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFOOTERGETVALUEDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FFOOTERGETVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFOOTERGETVALUE_TAG NCLOB,
FFOOTERMESSAGEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_EBANKEXPENTRY_F_L')
 CREATE TABLE T_FBD_EBANKEXPENTRY_F_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FFOOTERMESSAGEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_EBANKEXPENTRY_H')
 CREATE TABLE T_FBD_EBANKEXPENTRY_H (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FHEADERMESSAGEFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADERFIELDTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADERFIELDINSTRUCTIONS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHEADERLENGTH SMALLINT DEFAULT 0 NOT NULL,
FHEADERWILLRECORD CHAR(1) DEFAULT '0' NOT NULL,
FHEADERGETVALUETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADERGETVALUEDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FHEADERGETVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHEADERGETVALUE_TAG NCLOB,
FHEADERMESSAGEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FBD_EBANKEXPENTRY_H_L')
 CREATE TABLE T_FBD_EBANKEXPENTRY_H_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FHEADERMESSAGEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FBD_EBANKEXPORT' AND KSQL_COL_NAME ='FISEXPORT')
 ALTER TABLE T_FBD_EBANKEXPORT ADD (FISEXPORT CHAR(1) DEFAULT '1' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FBD_table.sql **/
